# coding=utf-8

"""Define hooks for rtool repository.

Add in the `.hg/hgrc` file::

    [extensions]
    aster = $HOME/dev/codeaster/devtools/lib/hgaster

    [hooks]
    pretxncommit.check_commit = python:aster.hooks.rtool.pretxncommit
    # on server
    pretxnchangegroup.check_incoming = \
        python:aster.hooks.rtool.pretxnchangegroup
"""

# Currently use the same hooks as for asterstudy

# pylint: disable=unused-import
from .asterstudy import pretxncommit, pretxnchangegroup, repo_branch_checker
